Subject: Re: The gaps that NAT is filling

From: Jeroen Massar <[email-masked]>
Date: Sun, 28 Nov 2004 11:07:16 +0100

On Fri, 2004-11-26 at 21:47 +0000, Greg Skinner wrote:
> On Tue, 23 Nov 2004 14:11:19 +0100, Jeroen Massar wrote:
> > On Tue, 2004-11-23 at 07:03 -0500, Margaret Wasserman wrote:
> >> Without solutions to these four problems on the horizon, I can't
> >> voice any enthusiasm that the larger address space in IPv6 will
> >> eliminate NAT in home or enterprise networks.
> 
> > This really isn't a problem of the IETF. The problems is at the ISP's   
> > who should charge for bandwidth usage and not for IP's.               
> 
> > It is all a financial problem, people earn money this way, and there is
> > not an easy way you can let them not make money.                 
> > Actually, can you blame them? I can't unfortunately...         
> 
> Arguably, if the ISPs handed out a (static) IP to every customer,
> soon they'd be out of IPs, and thus unable to grow their businesses
> from that perspective.

That is such a odd argument. When an ISP runs out of IP space, they go
to their RIR and say "Hey! You! I am running out of IP space gimme a new
chunk!"

And then they get one, usually even 3 months in advance of running out.
As long as an ISP can show demand for address space they can get it.
You do need to have your network documentation in order of course and
fit some other rules, but you will get the space.

There is *no* address shortage in IPv4 (nor IPv6), see the various very
nice presentations by Geoff Huston which he gave at the RIR meetings and
other places.

On Sat, 2004-11-27 at 11:48 +0100, Leif Johansson wrote: 
> Jeroen Massar wrote:
> > On Fri, 2004-11-26 at 10:11 +0100, Leif Johansson wrote:
> > 
> >>>For somebody administering a network of 100 machines, the hassle cost of
> >>>IP renumbering would be twenty times larger.  Given this, how could
> >>>anyone wonder why NAT is popular?
> >>
> >>Wrong. If you administer 100's or 1000s of machines you build or buy
> >>a system for doing address management. Renumbering is only difficult
> >>if your system is called vi :-)
> > 
> > 
> > Wrong ;) Well at least, up to 1000 is probably doable.
> > But what if you are talking about 100s or 1000s of organizations with
> > each a 100 or 1000 machines.
> 
> My site is 10k+ addresses. Seems easy enough to manage to me :-)

And how many organizational bits and how many countries are covered
using in that address space?

I guess, that for most organizations, especially that started early,
one is plain lucky when you can even find the administrator of a certain
box, let alone the admin or carekeeper of a certain prefix when the organization
goes above around that number.

If you _can_ manage it, then you did a very good job ;)

Greets,
 Jeroen

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: "JFC (Jefsey) Morfin" <[email-masked]>
Date: Sun, 28 Nov 2004 18:45:26 +0100

The IETF is supposed to gather everyone concerned and there is here a 
controversy on this real life and key/vital point. So the best is to ask in 
here. If no one says yes, it will mean either there is no felt shortage 
yes, or that those suffering from shortage do not share in the IETF (why 
would then be another question). If some says yes, this kind of universal 
affirmation will be closed.

>nice presentations by Geoff Huston which he gave at the RIR meetings and

Has anyone present on this list ever experienced a problem in getting a new 
chunk of IP addresses from a RIR or from an ISP?
What is the average delay you experiment?

Thank you.
jfc

---

From: Greg Skinner <[email-masked]>
Date: Fri, 26 Nov 2004 21:47:29 +0000

--gregbo